Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server
Class SessionImpl

    java.lang.Object
      |
      +--oracle.jbo.server.SessionImpl

public class SessionImpl
extends java.lang.Object
implements Session

The default server-side implementation of the `Session` interface. A session context represents an application's session. A session object is instantiated for each root application module when the application module is activated (see `ApplicationModuleImpl.activate()`). The session object is garbage collected when the root application module is garbage collected.

This class may be extended by application developers who are interested in loading session specific context at session instantiation. For example, an application may extend the `init` method with logic to load application specific context like the local currency into the session context. Additionally, the `getTransactionHandlerFactory` may be overriden by an extending class to return a custom `TransactionHandlerFactory`.

Custom implementations of this interface may be identified to the framework with the `SessionClass` server property.

Since:
  JDeveloper 3.0

Constructor Summary
`protected` | `SessionImpl()` This constructor is called by the framework to initialize the client session

Method Summary
`java.lang.String[]` | `getAllApplicationModuleDefNames()` Gets the names of the Application Module definitions contained in all packages.
`java.lang.String[]` | `getAllEntityAssociationDefNames()` Gets the names of the entity association definitions defined in all packages.
`java.lang.String[]` | `getAllEntityDefNames()` Gets the names of the Entity Object definitions available in all packages.
`java.lang.String[]` | `getAllViewDefNames()` Gets the names of the View Object definitions available in all packages.
`java.lang.String[]` | `getAllViewLinkDefNames()` Gets the names of the View Link definitions defined in all packages.
`java.lang.String[]` | `getApplicationModuleDefNames(java.lang.String packName)` Gets the names of the Application Module definitions contained in a package.
`java.lang.String[]` | `getEntityAssociationDefNames(java.lang.String packName)` Gets the names of the entity association definitions defined in a package.
`java.lang.String[]` | `getEntityDefNames(java.lang.String packName)` Gets the names of the Entity Object definitions available in a package.
`java.util.Hashtable` | `getEnvironment()` Gets the table of packages.
`java.util.Locale` | `getLocale()` Gets the current `Locale` used for localizing error messages.
`java.lang.String[]` | `getPackageNames()` Gets names of the packages that make up this middle tier application.
`TransactionHandlerFactory` | `getTransactionHandlerFactory()` Get the session's transaction handler factory.
`java.lang.String` | `getVersion()` Gets the middle tier's version information.
`java.lang.String[]` | `getViewDefNames(java.lang.String packName)` Gets the names of the View Object definitions available in a package.
`java.lang.String[]` | `getViewLinkDefNames(java.lang.String packName)` Gets the names of the View Link definitions defined in a package.
`static SessionImpl` | `init(java.util.Hashtable ctxEnv)` Internal: Applications should not use this method.
`void` | `loadPackage(java.lang.String packageName)` Loads a package that may be browsed for defined objects.
`void` | `setLocale(java.util.Locale l)` Sets a new `Locale` for localizing error messages.
`void` | `setProperty(java.lang.String name, java.lang.String value)`
`void` | `setTransactionHandlerFactory(TransactionHandlerFactory fac)` Set the session's transaction handler factory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SessionImpl

    protected SessionImpl()

  This constructor is called by the framework to initialize the client session

Method Detail

### init

    public static SessionImpl init(java.util.Hashtable ctxEnv)

  Internal: Applications should not use this method.

### getEnvironment

    public java.util.Hashtable getEnvironment()

  Description copied from interface: Session
  Gets the table of packages.
  Specified by:
    getEnvironment in interface Session
  Tags copied from interface: Session
  Returns:
    a hash table of fully qualified package names.

### getLocale

    public java.util.Locale getLocale()

  Description copied from interface: Session
  Gets the current `Locale` used for localizing error messages.
  Specified by:
    getLocale in interface Session
  Tags copied from interface: Session
  Returns:
    the current `Locale`.

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.String value)

### setLocale

    public void setLocale(java.util.Locale l)

  Description copied from interface: Session
  Sets a new `Locale` for localizing error messages.
  Specified by:
    setLocale in interface Session
  Tags copied from interface: Session
  Parameters:
    `locale` - the new `Locale`.

### loadPackage

    public void loadPackage(java.lang.String packageName)

  Description copied from interface: Session
  Loads a package that may be browsed for defined objects.
  Specified by:
    loadPackage in interface Session
  Tags copied from interface: Session
  Parameters:
    `packageName` - a fully qualified package name.

### getVersion

    public java.lang.String getVersion()

  Description copied from interface: Session
  Gets the middle tier's version information.
  Specified by:
    getVersion in interface Session
  Tags copied from interface: Session
  Returns:
    The version information in the form major.minor.patch.bldNum.

### getApplicationModuleDefNames

    public java.lang.String[] getApplicationModuleDefNames(java.lang.String packName)

  Description copied from interface: Session
  Gets the names of the Application Module definitions contained in a package.
  Specified by:
    getApplicationModuleDefNames in interface Session
  Tags copied from interface: Session
  Parameters:
    `packageName` - the name of the package.
  Returns:
    an array of `ApplicationModule` definition names.

### getAllApplicationModuleDefNames

    public java.lang.String[] getAllApplicationModuleDefNames()

  Description copied from interface: Session
  Gets the names of the Application Module definitions contained in all packages.
  Specified by:
    getAllApplicationModuleDefNames in interface Session
  Tags copied from interface: Session
  Returns:
    an array of `ApplicationModule` definition names.

### getViewDefNames

    public java.lang.String[] getViewDefNames(java.lang.String packName)

  Description copied from interface: Session
  Gets the names of the View Object definitions available in a package.
  Specified by:
    getViewDefNames in interface Session
  Tags copied from interface: Session
  Parameters:
    `packageName` - the name of the package.
  Returns:
    String[] an array of `ViewDef` names.

### getAllViewDefNames

    public java.lang.String[] getAllViewDefNames()

  Description copied from interface: Session
  Gets the names of the View Object definitions available in all packages.
  Specified by:
    getAllViewDefNames in interface Session
  Tags copied from interface: Session
  Returns:
    String[] an array of `ViewDef` names.

### getEntityDefNames

    public java.lang.String[] getEntityDefNames(java.lang.String packName)

  Description copied from interface: Session
  Gets the names of the Entity Object definitions available in a package.
  Specified by:
    getEntityDefNames in interface Session
  Tags copied from interface: Session
  Parameters:
    `packageName` - the name of the package.
  Returns:
    String[] an array of `EntityDef` names.

### getAllEntityDefNames

    public java.lang.String[] getAllEntityDefNames()

  Description copied from interface: Session
  Gets the names of the Entity Object definitions available in all packages.
  Specified by:
    getAllEntityDefNames in interface Session
  Tags copied from interface: Session
  Returns:
    String[] an array of `EntityDef` names.

### getEntityAssociationDefNames

    public java.lang.String[] getEntityAssociationDefNames(java.lang.String packName)

  Description copied from interface: Session
  Gets the names of the entity association definitions defined in a package.
  Specified by:
    getEntityAssociationDefNames in interface Session
  Tags copied from interface: Session
  Parameters:
    `packageName` - the name of the package.
  Returns:
    String[] an array of `EntityAssociationDef` names.

### getAllEntityAssociationDefNames

    public java.lang.String[] getAllEntityAssociationDefNames()

  Description copied from interface: Session
  Gets the names of the entity association definitions defined in all packages.
  Specified by:
    getAllEntityAssociationDefNames in interface Session
  Tags copied from interface: Session
  Returns:
    String[] an array of `EntityAssociationDef` names.

### getViewLinkDefNames

    public java.lang.String[] getViewLinkDefNames(java.lang.String packName)

  Description copied from interface: Session
  Gets the names of the View Link definitions defined in a package.
  Specified by:
    getViewLinkDefNames in interface Session
  Tags copied from interface: Session
  Parameters:
    `packageName` - the name of the package.
  Returns:
    String[] an array of `ViewLinkDef` names.

### getAllViewLinkDefNames

    public java.lang.String[] getAllViewLinkDefNames()

  Description copied from interface: Session
  Gets the names of the View Link definitions defined in all packages.
  Specified by:
    getAllViewLinkDefNames in interface Session
  Tags copied from interface: Session
  Returns:
    String[] an array of `ViewLinkDef` names.

### getPackageNames

    public java.lang.String[] getPackageNames()

  Description copied from interface: Session
  Gets names of the packages that make up this middle tier application.
  Specified by:
    getPackageNames in interface Session
  Tags copied from interface: Session
  Returns:
    The package names.

### getTransactionHandlerFactory

    public TransactionHandlerFactory getTransactionHandlerFactory()

  Get the session's transaction handler factory. This method may be overriden by a custom `Session` implementation to return a custom implementation of the `TransactionHandlerFactory` interface.
  See Also:
    `TransactionHandler`, `TransactionHandlerFactory`

### setTransactionHandlerFactory

    public void setTransactionHandlerFactory(TransactionHandlerFactory fac)

  Set the session's transaction handler factory. This method may be invoked to set a custom implementation of the `TransactionHandlerFactory` for the session before `connect` is invoked on the root application module's transaction.
  See Also:
    `TransactionHandler`, `TransactionHandlerFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD